(function () {
	"use strict";
	var $ = jQuery;
	var ckav = {},
		package_ver = "v1.0",
		$document = $(document),
		$window = $(window),
		$html = $("html"),
		pageLoader = $(".page-loader"),
		userAgent = navigator.userAgent.toLowerCase(),

		isIE =
		userAgent.indexOf("msie") !== -1 ?
		parseInt(userAgent.split("msie")[1], 10) :
		userAgent.indexOf("trident") !== -1 ?
		11 :
		userAgent.indexOf("edge") !== -1 ?
		12 :
		false,

		isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
			navigator.userAgent
		);

	/*----------  RESPONSIVE  ----------*/
	enquire.register("screen and (min-width: 992px)", {
		match: function () {
			ckav.device = 'd';
			$('html').addClass('ckav-d');
		},
		unmatch: function () {
			$('html').removeClass('ckav-d');
		}
	}).register("(min-width: 200px) and (max-width: 991px)", {
		match: function () {
			ckav.device = 'm';
			$('html').addClass('ckav-m');
		},
		unmatch: function () {
			$('html').removeClass('ckav-m');
		}
	});


	/* Page loader
	 ********************************************/
	$window.on("load", function () {
		$(".ckav-page-loader").delay(300).fadeOut('slow');
	});


	/* Utility functions
	/******************************/
	ckav.bgimg = function (obj) {
		"use strict";

		$(obj).css({
			backgroundImage: "url(" + $(obj).attr("data-bg") + ")"
		});
	};

	/* Header - Search bar
	/******************************/
	ckav.searchbar = function () {
		"use strict";

		var searchWrp = $(".header-search"),
			searchHandle = $(".search-handle");

		searchHandle.on("click", function () {
			if (searchWrp.hasClass("off")) {
				ckav.resetWidgetbar('off');
				ckav.resetMenu('off');

				ckav.resetSearchbar('on');
			} else {
				ckav.resetSearchbar('off');
			}
		});
	};
	ckav.resetSearchbar = function(type) {
		'use strict';

		var searchWrp = $(".header-search"),
			searchHandle = $(".search-handle");

		if (type == 'on') {
			searchHandle
				.addClass("on")
				.find("i")
				.addClass("pe-7s-close")
				.removeClass("icon-magnifier");
			searchWrp.addClass("on").removeClass("off");
		}
		if (type == 'off') {
			searchHandle
				.removeClass("on")
				.find("i")
				.addClass("icon-magnifier")
				.removeClass("pe-7s-close");
			searchWrp.addClass("off").removeClass("on");
		}
	}

	/* Sticky sidebar
	/******************************/
	ckav.widgetbar = function () {
		var widgetWrp = $(".sticky-sidebar"),
			widgetHandle = $(".widget-handle");

		widgetHandle.on("click", function () {
			if (widgetWrp.hasClass("off")) {
				ckav.resetMenu('off');
				ckav.resetSearchbar('off');

				ckav.resetWidgetbar('on');
				ckav.widgetbarHeight();
			} else {
				ckav.resetWidgetbar('off');
			}
		});
	}

	// Wordpress adminbar fixes
	ckav.widgetbarHeight = function () { 
		$('.side-header').css({opacity: 0});
		$('.side-header').animate({ opacity: 1 }, 100, function () {
			var adminBar = $('body').hasClass('admin-bar'),
				mainHeader = $('.main-header').height(),
				adminBar_H = mainHeader + $('#wpadminbar').height();

			$('.side-header').css({
				top: adminBar ? adminBar_H+'px' : mainHeader,
				height: adminBar ? "calc(100% - "+adminBar_H+"px)" : "calc(100% - "+mainHeader+"px)", 
			});
		});
		
	}

	// Open and close widgetbar
	ckav.resetWidgetbar = function(type) {
		'use strict';
		var widgetWrp = $(".sticky-sidebar"),
			widgetHandle = $(".widget-handle");

		if (type == 'on') {
			widgetHandle
				.addClass("on")
				.find("i")
				.addClass("pe-7s-close")
				.removeClass("icon-info");

			$(".sticky-sidebar").addClass("on").removeClass("off");
		}
		if (type == 'off') {
			widgetHandle
				.removeClass("on")
				.find("i")
				.addClass("icon-info")
				.removeClass("pe-7s-close");
			widgetWrp.addClass("off").removeClass("on");
		}
	}

	/* ALL MENU RELATED SCRIPTS
	/******************************/
	ckav.resetMenu = function(type) {
		'use strict';
		var menuWrp = $(".main-menu"),
			menuHandle = $(".menu-handle");

		if (type == 'on') {
			menuHandle
				.addClass("on")
				.find("i")
				.addClass("pe-7s-close")
				.removeClass("icon-menu");
			menuWrp.addClass("on").removeClass("off");
		}
		if (type == 'off') {
			menuHandle
				.removeClass("on")
				.find("i")
				.addClass("icon-menu")
				.removeClass("pe-7s-close");
			menuWrp.addClass("off").removeClass("on");
		}
	}

	ckav.menubar = function () {
		var menuWrp = $(".main-menu"),
			menuHandle = $(".menu-handle");

		menuHandle.on("click", function () {
			if (menuWrp.hasClass("off")) {
				ckav.resetWidgetbar('off');
				ckav.resetSearchbar('off');

				ckav.resetMenu('on');
				
				if ($('.ckav-menu').hasClass('m-nav')) {
					$('.main-menu').css({
						top: $('.main-header').height()
					});
				} else {
					$('.main-menu').removeAttr('style');
				}
			} else {
				ckav.resetMenu('off');
			}
		});
	}
	ckav.mobmenu = function () {
		'use strict';

		$('.main-menu').removeClass('flex-cc');
		$('.ckav-menu').addClass('m-nav');

		//var $menu = $('.ckav-menu');
		$('.ckav-menu').find('.has-dropdown').each(function () {
			$(this).prepend('<b class="sub-handler fas fa-plus">');
			if ($(this).hasClass('menu-item')) {
				$(this).children('ul').addClass('sub');
				$(this).children('.mega-menu').addClass('sub');
			}
			$(this).off('mouseenter').off('mouseleave');
		});

		// Sub menu show / hide
		$('.ckav-menu').off("click").on("click", '.sub-handler', function (event) {

			var parent_el = $(this).closest(".has-dropdown");

			parent_el.off('mouseenter').off('mouseleave');
			
			if (parent_el.hasClass('active')) {
				parent_el.removeClass('active');
				$(this).addClass('fa-plus').removeClass('fa-minus');
			} else {
				$(parent_el).addClass('active');
				$(this).addClass('fa-minus').removeClass('fa-plus');
			}
		});
	}

	ckav.menuH = function (header, menu) {
		'use strict';
		$(menu).removeAttr('style');
		$(menu).css({
			minHeight: $(header).height()
		});
	}

	ckav.menuFn = function ($menu) {
		'use strict';

		// Apply smooth scrolling for one page
		$menu.find('.menu-item a').smoothScroll({
			speed: 1200,
			beforeScroll: function () {
				$menu.find('.menu-item a').removeClass('active');
				$('.nav-handle').trigger('tap');
			},
			afterScroll: function () {
				$(this).addClass('active');
			}
		});

		// Setup dropdown open and close
		var mEnter = 'mouseenter',
			mLeave = 'mouseleave';

		$menu.on(mEnter, '.has-dropdown', function (event) {
			if (ckav.device == 'd') {
				$(this).addClass('active');
				$(this).children('.sub-handler').addClass('fa-minus').removeClass('fa-plus');

				if($(this).children('.dropdown').length != 0){
					var menuinner = $menu.offset();
					var dropdown = $(this).children('.dropdown');
					var dropdown_offset = $(dropdown).offset();
					
					var i = (dropdown_offset.left + $(dropdown).outerWidth()) - (menuinner.left + $menu.outerWidth());
					
					if (i > 0) {
						$(dropdown).addClass('r');
					}else {
						$(dropdown).removeClass('r');
					}
				};
			}
		});
		$menu.on(mLeave, '.has-dropdown', function (event) {
			if (ckav.device == 'd') {
				$(this).removeClass('active');
				$(this).children('.sub-handler').addClass('fa-plus').removeClass('fa-minus');
				$(this).children('.sub').removeAttr('style');
			}
		});

	}


	/* Owl carousel
	/******************************/
	ckav.owlitems = function (arr) {
		'use strict';
		if (typeof (arr) == "string" && arr != 'false') {
			var t1 = arr.split('|');
			var t2 = {};
			$.each(t1, function (index, val) {
				var str = val;
				var newarr = str.split(',');
				t2[newarr[0]] = {}
				t2[newarr[0]] = { items: parseInt(newarr[1], 10) };
			});
			return t2;
		} else if (arr === 'false') {
			return false;
		} else {
			return false;
		}
	}
	ckav.getvar = function (v, default_v, val_type) {
		'use strict';
		if (val_type == 'n') {
			return v ? parseInt(v, 10) : default_v;
		}
		if (val_type == 'b') {
			if (v == 'true') { return true; }
			else if (v == 'false') { return false; }
			else { return default_v; }
		}
		if (val_type == 's') {
			if (v == 'false') {
				return false;
			} else {
				return v ? v : default_v;
			};

		}
	}
	ckav.slider = function (owlObj) {

		'use strict';

		var resObj = {
			0: { items: 1 },
			420: { items: 2 },
			600: { items: 3 },
			768: { items: 3 },
			980: { items: 4 }
		}
		

		var owlEle = $(owlObj + ' .owl-carousel'),
			o = $(owlObj);

		var config = {
			items: ckav.getvar(o.attr('data-items'), 3, 'n'),
			loop: ckav.getvar(o.attr('data-loop'), false, 'b'),
			center: ckav.getvar(o.attr('data-center'), false, 'b'),

			mouseDrag: ckav.getvar(o.attr('data-mdrag'), true, 'b'),
			touchDrag: ckav.getvar(o.attr('data-tdrag'), true, 'b'),

			margin: ckav.getvar(o.attr('data-margin'), 30, 'n'),
			stagePadding: ckav.getvar(o.attr('data-stpd'), 0, 'n'),

			res: o.attr('data-itemrange') ? ckav.owlitems(o.attr('data-itemrange')) : resObj, // 0,1|420,2|980,3
			rbase: ckav.getvar(o.attr('data-rbase'), o.parent(), 's'),
			
			nav: ckav.getvar(o.attr('data-nav'), false, 'b'),
			dots: ckav.getvar(o.attr('data-pager'), false, 'b'),
			slideby: ckav.getvar(o.attr('data-slideby'), 1, 'n'),
			
			animOut: ckav.getvar(o.attr('data-out'), 'fadeOut', 's'),
			animIn: ckav.getvar(o.attr('data-in'), 'fadeIn', 's'),

			autoplay: ckav.getvar(o.attr('data-autoplay'), false, 'b'),
			autoplayTimeout: ckav.getvar(o.attr('data-timeout'), 3000, 'n'),
			autoplayHoverPause: ckav.getvar(o.attr('data-hstop'), true, 'b'),
			autoWidth: ckav.getvar(o.attr('data-awidth'), false, 'b'),
			autoHeight: ckav.getvar(o.attr('data-hauto'), true, 'b'),
			
			contentHeight: ckav.getvar(o.attr('data-h'), true, 'b')
		}
		
		$(owlObj).animate({ opacity: 1 }, 500, function () {

			if (owlEle.find(".owl-stage").length === 0) {
				owlEle.owlCarousel({
					items: config.items,
					loop: $(owlObj + " .owl-carousel > .item").length > 1 ? config.loop : false,
					center: config.center,
					
					mouseDrag: config.mouseDrag,
					touchDrag: config.touchDrag,

					margin: config.margin,
					stagePadding: config.stagePadding,

					responsive: config.res,
					responsiveBaseElement: config.rbase,

					nav: config.nav,
					navText: ['<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>'],
					dots: config.dots,
					slideBy: config.slideby,

					autoplay: config.autoplay,
					autoplayTimeout: config.autoplayTimeout,
					autoplaySpeed: 2000,
					autoplayHoverPause: config.autoplayHoverPause,

					autoHeight: config.autoHeight,
					autoWidth: config.autoWidth,
					
					animateOut: config.animOut, //'slideOutDown',
					animateIn: config.animIn, //'flipInX',

					onInitialized: function () {
						owlEle.animate({ opacity: 1 }, 300);
						
						// Align arrows
						owlEle.find('.owl-nav').css({
							top: owlEle.find('.owl-stage-outer').outerHeight() / 2
						});
						//rgen.blazyload(owlEle);
					}
				});

				o.find('.carousel-btn .prev').on('click', function () { owlEle.trigger('prev.owl.carousel'); });
				o.find('.carousel-btn .next').on('click', function () { owlEle.trigger('next.owl.carousel'); });
			}
		});
	}
	
	/* Filterable portfolio
	/******************************/
	ckav.filterable = function (obj) {
		'use strict';

		$(obj).animate({ opacity: 1 }, 500, function () { });
		var filterObj = $(obj),
			container = filterObj.find('.masonry-grid'),
			list = filterObj.find('.filters'),
			time = 500;

		list.find('[data-filter]').on('click', function (event) {
			event.preventDefault();

			var filter = $(this).attr("data-filter");
			
			list.find("[data-filter]").removeClass('active');
			$(this).addClass('active');
			
			container.find('.masonry-item').stop().animate({ opacity: 0 }, 150, function () {
				$(this).hide();

				if (filter === 'all') {
					container.find('.masonry-item').show().stop().animate({ opacity: 1 }, time);
				} else {
					$(filter).show().stop().animate({ opacity: 1 }, time);
				}
			});
		});

		list.find('.active') ? list.find('.active').trigger('click') : list.find('[data-filter]').first().trigger('click');
	}

	/* All Doc ready fuctions
	/******************************/
	$document.ready(function () {

		/*== Get all elements ===============*/
		var $o = {};
		$o.bgimg = $("[data-bg]").length > 0 ? $("[data-bg]") : false;
		$o.header = $('.main-header').length > 0 ? $('.main-header') : false;
		$o.menuwrp = $('.ckav-menu').length > 0 ? $('.ckav-menu') : false;
		$o.navlink = $('.ckav-menu').find(".menu-item").length > 0 ? $('.ckav-menu').find(".menu-item") : false;
		$o.carouselwidget = $(".carousel-widget").length > 0 ? $(".carousel-widget") : false;
		$o.masonry = $("[data-masonry-grid]").length > 0 ? $("[data-masonry-grid]") : false;
		$o.ckavfilterable = $(".ckav-filterable").length > 0 ? $(".ckav-filterable") : false;
		$o.wpimgpopup = $(".blocks-gallery-item a[href$='.jpg']").length > 0 ? $(".blocks-gallery-item a[href$='.jpg']") : false;
		
		/*== WP Comment script ===============*/
		$('.ckav-reply-title').prependTo(".comment-respond");
		

		/*== Apply background ===============*/
		if ($o.bgimg) {
			for (var i = 0; i < $o.bgimg.length; i++) {
				ckav.bgimg($o.bgimg[i]);
			}
		}

		/*== Search bar ===============*/
		ckav.searchbar();

		/*== Sidebar widget ===============*/
		ckav.widgetbar();

		/*== Menu scripts ===============*/
		if ($o.header) {
			ckav.menubar();
		}

		/*== Owl carousel ===============*/
		if ($o.carouselwidget) {
			for (var i = 0; i < $o.carouselwidget.length; i++) {
				// SET ID ON ALL OBJECTS
				var owlObj = 'owl' + i;
				$($o.carouselwidget[i]).css({ opacity: 0 }).attr("id", owlObj).addClass(owlObj);
				ckav.slider("#" + owlObj);
			}
		}

		/*== Banner grids ===============*/
		if ($o.ckavfilterable) {
			for (var i = 0; i < $o.ckavfilterable.length; i++) {
				// SET ID ON ALL OBJECTS
				var filterObj = 'ckavfilter-' + i;
				$($o.ckavfilterable[i]).css({ opacity: 0 }).attr("id", filterObj).addClass(filterObj);
				ckav.filterable("#" + filterObj);
			}
		}
		
		/* WordPress Image gallery 
		/******************************/
		if ($o.wpimgpopup) {
			$($o.wpimgpopup).magnificPopup({
				type: 'image',
				mainClass: 'mfp-fade',
				gallery:{
					enabled:true
				}
			});	
		}
		
		/* Responsive functions
		/******************************/
		enquire.register("screen and (min-width: 992px)", {
			match: function () {
				$('.main-menu').addClass('flex-cc').removeAttr('style');
				$('.ckav-menu').removeClass('m-nav');

				if ($o.menuwrp) {
					if ($o.navlink) {
						var $menu = $('.ckav-menu');
						ckav.menuFn($menu);
					};
				}

				// Wordpress admin bar height fix
				ckav.widgetbarHeight();
				$window.off('scroll');
				$('.main-header').removeAttr('style');
			},
			unmatch: function () {}
		//}).register("(min-width: 200px) and (max-width: 991px)", {
		}).register("(min-width: 200px) and (max-width: 1024px)", {
			match: function () {
				ckav.mobmenu();
				ckav.widgetbarHeight();
			},
			unmatch: function () {
				$('.ckav-menu').removeClass('m-nav');
			}
		});
	});

	$window.resize(function () {
		ckav.widgetbarHeight();
	})

	window.ckav = ckav;
})(jQuery, window.ckav);