<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'section_themecolors' => array(
		'title' => esc_html__('Theme colors', 'orb'),
		'options' => array(	

			'popup-theme-colors' => array(
				'type' => 'popup',
				'label' => esc_html__('Theme colors', 'orb'),
				'popup-title' => esc_html__('Customization', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
				'button' => esc_html__('Edit', 'orb'),
				'popup-title' => null,
				'size' => 'small', // small, medium, large
				'popup-options' => array(
					'theme-skins' => array(
						'type'  => 'select',
						'value' => 'default',
						'label' => esc_html__('Color themes', 'orb'),
						'desc'  => esc_html__('Changing theme will reset your selected colors', 'orb'),
						'choices' => array(
							'default' => esc_html__('Default color theme', 'orb'),
							'theme1' => esc_html__('Color theme 1', 'orb'),
							'theme2' => esc_html__('Color theme 2', 'orb'),
							'theme3' => esc_html__('Color theme 3', 'orb'),
							'theme4' => esc_html__('Color theme 4', 'orb'),
						),
					),

					'theme-default' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#3b5afb',
						'label' => esc_html__('Default', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
					'theme-primary' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#ff6123',
						'label' => esc_html__('Primary', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
					'theme-dark' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#343e45',
						'label' => esc_html__('Dark', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
					'theme-light' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#f7f9fb',
						'label' => esc_html__('Light', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
					'theme-basefontcolor' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#666',
						'label' => esc_html__('Body font', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
					'theme-white' => array(
						'type'  => 'ckav-color-picker',
						'value' => '#fff',
						'label' => esc_html__('White', 'orb'),
						'attr'  => array( 'class' => 'fw-frm-inline'),
					),
				),
			),
			'logo-wrp-bg' => array(
				'type'  => 'ckav-color-picker',
				'label' => esc_html__('Logo - background', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
			),

			'theme-header-bg' => array(
				'type'  => 'ckav-color-picker',
				'label' => esc_html__('Header - background', 'orb'),
				'desc'  => esc_html__('Header and sidebar color', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
			),

			'theme-header-typo' => array(
				'type'  => 'ckav-color-picker',
				'value' => '#fff',
				'label' => esc_html__('Header - typo', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
			),

			'theme-sidebar-bg' => array(
				'type'  => 'ckav-color-picker',
				'label' => esc_html__('Sidebar - background', 'orb'),
				'desc'  => esc_html__('Header and sidebar color', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
			),

			'theme-sidebar-typo' => array(
				'type'  => 'ckav-color-picker',
				'value' => '#fff',
				'label' => esc_html__('Sidebar - typo', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
			),

			/*== Menu colors ===============*/
			'theme-menu-colors' => array(
				'type' => 'popup',
				'label' => esc_html__('Main menu', 'orb'),
				'popup-title' => esc_html__('Customization', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
				'button' => esc_html__('Edit', 'orb'),
				'popup-title' => null,
				'size' => 'small', // small, medium, large
				'popup-options' => array(
					'status' => array(
						'type'  => 'switch',
						'value' => 'no',
						'label' => esc_html__('Advanced customization', 'orb'),
						'desc'  => esc_html__('Advanced customization overwrite default colors', 'orb'),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__('No', 'orb'),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__('Yes', 'orb'),
						),
					),

					'menu-bg' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Menu bar', 'orb'),
					),
					'menu-item' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Menu items', 'orb'),
					),
					'menu-itembg-hover' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Hover - Menu items background', 'orb'),
					),
					'menu-item-hover' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Hover - Menu items text', 'orb'),
					),

					'submenu-bg' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Sub menu', 'orb'),
					),
					'submenu-item' => array(
						'type'  => 'ckav-color-picker',
						'label' => esc_html__('Sub menu items', 'orb'),
					),
				),
			),

			/*== Header buttons ===============*/
			'theme-headerbtn-colors' => array(
				'type' => 'popup',
				'label' => esc_html__('Header buttons', 'orb'),
				'desc'  => esc_html__('Menu button, Search button and Sidebar info button', 'orb'),
				'popup-title' => esc_html__('Customization', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
				'button' => esc_html__('Edit', 'orb'),
				'popup-title' => null,
				'size' => 'small', // small, medium, large
				'popup-options' => array(
					'status' => array(
						'type'  => 'switch',
						'value' => 'no',
						'label' => esc_html__('Advanced customization', 'orb'),
						'desc'  => esc_html__('Advanced customization overwrite default colors', 'orb'),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__('On', 'orb'),
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__('Yes', 'orb'),
						),
					),

					'menu-icon-tb' => array(
						'type' => 'tab',
						'options' => array(
							'menu-normal-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Normal - background', 'orb'),
							),
							'menu-normal-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Normal - icon', 'orb'),
							),
							'menu-hover-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Hover - Background', 'orb'),
							),
							'menu-hover-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Hover - icon', 'orb'),
							),
							'menu-active-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Active - Background', 'orb'),
							),
							'menu-active-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Active - icon', 'orb'),
							),
						),
						'title' => esc_html__('Menu button', 'orb'),
					),
					
					'other-icon-tb' => array(
						'type' => 'tab',
						'options' => array(
							'normal-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Normal - background', 'orb'),
							),
							'normal-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Normal - icon', 'orb'),
							),
							'hover-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Hover - Background', 'orb'),
							),
							'hover-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Hover - icon', 'orb'),
							),
							'active-bg' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Active - Background', 'orb'),
							),
							'active-icon' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Active - icon', 'orb'),
							),
							'border' => array(
								'type'  => 'ckav-color-picker',
								'label' => esc_html__('Border', 'orb'),
							),
						),
						'title' => esc_html__('Other buttons', 'orb'),
					),

					
					
					
				),
			),

		),
	),
);