<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
$options = array(
    'section_typography' => array(
		'title' => esc_html__('Typography', 'orb'),
		'options' => array(	
			'pagetitle-upper' => array(
				'type'  => 'switch',
				'value' => 'no',
				'label' => esc_html__('Page title uppercase?', 'orb'),
				'attr'  => array( 'class' => 'fw-frm-inline'),
				'left-choice' => array(
					'value' => 'no',
					'label' => esc_html__('On', 'orb'),
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__('Yes', 'orb'),
				),
			),

			'body-fonts' => array(
                'label' => esc_html__('Body fonts', 'orb'),
				'desc'  => esc_html__('Select body fonts which is global fonts of theme, Font size must be in PX only', 'orb'),
				'type' => 'typography-v2',
				'value' => array(
					'family' => 'Open Sans',
					'subset' => 'latin-ext',
					'variation' => 'regular',
					'size' => 14,
					'line-height' => 1.8,
					'letter-spacing' => 0,
					'color' => '#666'
				),
				'components' => array(
					'family'         => true,
					'size'           => true,
					'line-height'    => true,
					'letter-spacing' => true,
					'color'          => true
				),
            ),
            
            'title-fonts' => array(
				'label' => esc_html__('Theme title fonts', 'orb'),
				'desc'  => esc_html__('Global title fonts of theme', 'orb'),
				'type' => 'typography-v2',
				'value' => array(
					'family' => 'Montserrat',
					'subset' => 'latin-ext',
					'variation' => '700',
					'letter-spacing' => 0,
					'line-height' => 1.3,
					'color' => '#343e45'
				),
				'components' => array(
					'family'         => true,
					'size'           => false,
					'line-height'    => true,
					'letter-spacing' => true,
					'color'          => true
				),
            ),
            
            'subtitle-fonts' => array(
                'label' => esc_html__('Sub title fonts', 'orb'),
				'type' => 'typography-v2',
				'value' => array(
                    'family' => 'Open Sans',
                    'subset' => 'latin-ext',
					'letter-spacing' => 0,
					'line-height' => 1.8,
					'variation' => '300',
					'color' => '#343e45'
				),
				'components' => array(
					'family'         => true,
					'size'           => false,
					'line-height'    => true,
					'letter-spacing' => true,
					'color'          => true
				),
			),

			'btn-fonts' => array(
				'label' => esc_html__('Button fonts', 'orb'),
				'desc'  => esc_html__('Global button fonts of theme', 'orb'),
				'type' => 'typography-v2',
				'value' => array(
					'family' => 'Montserrat',
					'subset' => 'latin-ext',
					'line-height' => 1,
					'letter-spacing' => 0,
					'variation' => '700',
				),
				'components' => array(
					'family'         => true,
					'size'           => false,
					'line-height'    => true,
					'letter-spacing' => true,
					'color'          => false
				),
            ),

			'page-title-size' => array(
				'label' => esc_html__('Page title - size', 'orb'),
				'type'  => 'slider',
				'value' => 30,
				'properties' => array(
					'min' => 12,
					'max' => 60,
					'step' => 1, 
				),
			),

			'section-title-size' => array(
				'label' => esc_html__('Section title - size', 'orb'),
				'type'  => 'slider',
				'value' => 20,
				'properties' => array(
					'min' => 12,
					'max' => 50,
					'step' => 1, 
				),
			),

			'content-title-size' => array(
				'label' => esc_html__('Content title - size', 'orb'),
				'type'  => 'slider',
				'value' => 14,
				'properties' => array(
					'min' => 12,
					'max' => 30,
					'step' => 1, 
				),
			),

			'sub-title-size' => array(
				'label' => esc_html__('Sub title - size', 'orb'),
				'type'  => 'slider',
				'value' => 18,
				'properties' => array(
					'min' => 12,
					'max' => 30,
					'step' => 1, 
				),
			),

			'h1-size' => array(
				'label' => esc_html__('H1 - size', 'orb'),
				'type'  => 'slider',
				'value' => 30,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),
			'h2-size' => array(
				'label' => esc_html__('H2 - size', 'orb'),
				'type'  => 'slider',
				'value' => 20,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),
			'h3-size' => array(
				'label' => esc_html__('H3 - size', 'orb'),
				'type'  => 'slider',
				'value' => 18,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),
			'h4-size' => array(
				'label' => esc_html__('H4 - size', 'orb'),
				'type'  => 'slider',
				'value' => 16,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),
			'h5-size' => array(
				'label' => esc_html__('H5 - size', 'orb'),
				'type'  => 'slider',
				'value' => 14,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),
			'h6-size' => array(
				'label' => esc_html__('H6 - size', 'orb'),
				'type'  => 'slider',
				'value' => 13,
				'properties' => array(
					'min' => 12,
					'max' => 100,
					'step' => 1, 
				),
			),

			

		),
	),
);