<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<?php  
$header_layout = ckav_theme_option( 'customizer', 'header-layout' ) !== '' ? ckav_theme_option( 'customizer', 'header-layout' ) : 'layout-1';
$logo_upper = ckav_theme_option( 'customizer', 'logo-upper' ) === 'yes' ? 'txt-upper' : '';
$headerinfo = ckav_theme_option( 'customizer', 'header-info' );
?>

<body <?php body_class(); ?>>

	<!-- PAGE-LOADER -->
	<div class="ckav-page-loader flex-cc">
		<div class="ckav-loader"></div>
	</div>

	<!-- Main header
	******************************-->
	<header class="main-header">
		<div class="row gt0">

			<!-- logo
			******************************-->
			<div class="col-auto logo-wrp">
				<?php ckav_themelogo(); ?>
			</div>

			<!-- Profile info
			******************************-->
			<div class="col-auto profile-info-wrp">
				<ul class="profile-info">
					<li>
						<h1 class="main-title <?php echo esc_attr($logo_upper); ?>"><?php bloginfo( 'name' ); ?></h1>
					</li>
					<li>
						<?php if ( get_bloginfo( 'description', 'display' ) ) : ?>
						<p class="italic"><?php echo get_bloginfo( 'description', 'display' ); ?></p>
						<?php endif; ?>
					</li>
				</ul>
			</div>

			<!-- About info
			******************************-->
			<div class="col align-self-center about-info-wrp">
				<div class="row about-info gt30">

					<?php 
					if (!empty($headerinfo)) { 
					foreach ($headerinfo as $infodata) { 
					if ( ckav_getkey('info-status', $infodata, 'yes') === 'yes') { ?>
					<div class="col-auto">
						<p class="italic"><?php echo esc_html( $infodata['title'] ); ?></p>
						<p class="bold"><?php echo esc_html( $infodata['desc'] ); ?></p>
					</div>
					<?php } } } ?>

				</div>
			</div>
			
			<?php if ($header_layout === 'layout-2') { ?>
			<div class="col"></div>
			<?php } ?>
			

			<div class="col-auto menu-wrp">
				<?php if (is_active_sidebar( 'sticky-sidebar' )) { ?>
				<button class="widget-handle iconbox"><i class="icon-info"></i></button>
				<?php } ?>

				<button class="menu-handle iconbox"><i class="icon-menu"></i></button>
			</div>
		</div>

		<!-- Header search
		******************************-->
		<div class="header-search-wrp">
			<div class="header-search off">
				<?php get_search_form(); ?>
			</div>
		</div>

		<!-- Main menu
		******************************-->
		<?php
		if ( has_nav_menu( 'primary' ) ) {
			$defaults = array(
				'theme_location'  => 'primary',
				'menu_class'      => 'ckav-menu',
				'container'       => 'nav',
				'container_class' => 'main-menu flex-cc off',
				'walker'          => new ckav_nav_menu(),
			);
			wp_nav_menu( $defaults ); 
		} else { ?>
			<nav class="main-menu flex-cc off"><?php ckav_set_menu(); ?></nav>
		<?php } ?>

	</header>

	<!-- Sticky sidebar
	******************************-->
	<div class="side-header">
		<button class="search-handle iconbox"><i class="icon-magnifier"></i></button>
		
		<?php if (is_active_sidebar( 'sticky-sidebar' )) { ?>
		<button class="widget-handle iconbox"><i class="icon-info"></i></button>
		<div class="sticky-sidebar off">
			<aside>

				<!-- Profile info 
				******************************-->
				<div class="sidebar-info">
					<?php 
					ckav_themelogo();
					
					$headerinfo = ckav_theme_option( 'customizer', 'header-info' );
					if (!empty($headerinfo)) { 
					echo '<ul>';
					foreach ($headerinfo as $infodata) { ?>
					<li>
						<strong><?php echo esc_html( $infodata['title'] ); ?>: </strong> 
						<span><?php echo esc_html( $infodata['desc'] ); ?></span>
					</li>
					<?php } ?>
					<li class="sidebar-social">
						<strong><?php echo esc_html__('Social', 'orb'); ?>: </strong> 
						<?php echo ckav_social_profile(); ?>
					</li>
					<?php echo '</ul>'; 
					} ?>
				</div>
				
				<!-- Sidebar widgets
				******************************-->
				<?php get_sidebar( 'content' ); ?>
			</aside>
		</div>
		<?php } ?>
		
		<!-- Social network
		******************************-->
		<div class="social-profile">
			<?php echo ckav_social_profile(); ?>
		</div>
		
	</div>

	<div class="main-container">