<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) )
	exit;

class CKav_Blogposts extends Widget_Base {

	public function get_name() { 
		return 'ckav-blogposts';
	}

	public function get_title() {
		return esc_html__( 'Blog posts', 'orb' );
	}
 
	public function get_icon() {
		return 'eicon-wordpress';
	}

	public function get_categories() {
		return [ 'ckav-pack' ];
	}

	protected function _register_controls() {

		/*
		* Content section 
		*************************/
		$this->start_controls_section(
			'section_tab', [
				'label' =>esc_html__( 'Content section', 'orb' ),
			]
        );

            $this->add_control(
                'post_items',
                [
                    'label' => esc_html__( 'Display items', 'orb' ),
                    'type' => Controls_Manager::NUMBER,
                    'min' => 3,
                    'max' => 20,
                    'step' => 1,
                    'default' => 6,
                ]
            );

            $this->add_control(
                'category',
                [
                    'label' => esc_html__( 'Show category?', 'orb' ),
                    'type' => Controls_Manager::SWITCHER,
                    'label_on' => esc_html__( 'Yes', 'orb' ),
                    'label_off' => esc_html__( 'No', 'orb' ),
                    'return_value' => 'yes',
                    'default' => 'yes',
                ]
            );

            $this->add_control(
                'date',
                [
                    'label' => esc_html__( 'Show date?', 'orb' ),
                    'type' => Controls_Manager::SWITCHER,
                    'label_on' => esc_html__( 'Yes', 'orb' ),
                    'label_off' => esc_html__( 'No', 'orb' ),
                    'return_value' => 'yes',
                    'default' => 'yes',
                ]
            );

            $this->add_control(
                'author',
                [
                    'label' => esc_html__( 'Show author?', 'orb' ),
                    'type' => Controls_Manager::SWITCHER,
                    'label_on' => esc_html__( 'Yes', 'orb' ),
                    'label_off' => esc_html__( 'No', 'orb' ),
                    'return_value' => 'yes',
                    'default' => 'yes',
                ]
            );

        $this->end_controls_section();
        
         /*
		* Settings
		*************************/
		$this->start_controls_section(
			'setting_tab', [
				'label' =>esc_html__( 'Settings', 'orb' ),
			]
		);

			$this->add_control(
				'light_theme', [
					'type' => Controls_Manager::SWITCHER,
					'label' => esc_html__('Apply light theme?', 'orb'),
					'label_block' => false,
					'default' => 'no',
					'yes' => esc_html__( 'Yes', 'orb' ),
					'no' => esc_html__( 'No', 'orb' ), 
				]
            );
            

		$this->end_controls_section();

	}

	protected function render() {
		
		$settings = $this->get_settings_for_display();
		
		require THEME_ELE . '/templates/blogposts/style1.php';
	}

	protected function _content_template() { }
}
