<?php
if ( !defined( 'ABSPATH' ) )
exit;
?>

<?php
$ckav_dateformat = !empty(ckav_theme_option( "customizer", "blog-dateformat")) && ckav_theme_option( "customizer", "blog-dateformat") == 'yes' ? true : false;
$light_theme = $settings['light_theme'] == 'yes' ? ' light' : '';
$light_ctrl = $settings['light_theme'] == 'yes' ? 'ctrl-light' : '';

$args = array( 
	'post_type' => 'post', 
	'posts_per_page' => !empty($settings['post_items']) ? $settings['post_items'] : 6,
);
$query = new \WP_Query( $args );
if ($query->have_posts()) : ?>

	<div class="carousel-widget ctrl-1 <?php echo esc_attr($light_ctrl); ?>" 
		data-items="3"
		data-nav="false"
		data-loop="false"
		data-itemrange="0,1|420,1|980,3"
		data-pager="true">
		<div class="owl-carousel">

			<?php while ($query->have_posts()) : $query->the_post(); ?>
			<div class="item">
				<article id="post-<?php the_ID(); ?>" <?php post_class( 'ckav-postbox3' . $light_theme ); ?>>

					<?php if (has_post_thumbnail(get_the_ID())) { ?>
					<figure class="bg-cc bg-cover" style="background-image: url(<?php echo ckav_post_thumb('url'); ?>);">
						<?php 
						if ( $ckav_dateformat && has_post_thumbnail(get_the_ID()) ) {
							if ($settings['date'] === 'yes') {
								ckav_post_meta('date1');
							}
						}
						
						if (ckav_theme_option( "customizer", "blogpost-cat", 'yes') === "yes") {
							if ($settings['category'] === 'yes') {
								ckav_post_meta('category1');
							}
						} ?>
						<a class="post-img" href="<?php echo esc_url( get_permalink() ); ?>"></a>
					</figure>
					<?php } ?>

					<div class="info">
						<?php if (is_sticky()) { ?>
						<i class="fas fa-bookmark"></i>
						<?php } ?>
						
						<?php the_title( '<h2 class="content-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
						<ul class="row gt0 pd-0 ckav-post-meta">
							<?php if ($settings['author'] === 'yes') { ?>
							<li class="col-auto">
								<?php ckav_post_meta('author1'); ?>
							</li>
							<?php } ?>

							<?php 
							if ( !$ckav_dateformat || !has_post_thumbnail(get_the_ID()) ) {
							if ( $settings['date'] === 'yes' ) { ?>
							<li class="col-auto">
								<?php echo get_the_date(); ?>
							</li>
							<?php } } ?>
							
							<?php if (!has_post_thumbnail(get_the_ID())) { ?>
							<?php if (ckav_theme_option( "customizer", "blogpost-cat", 'yes') === "yes") { ?>
							<li class="col-auto">
								<p><?php echo get_the_term_list( get_the_ID(), 'category', '', ',&nbsp;&nbsp;', '' ); ?></p>
							</li>
							<?php } } ?>
							
						</ul>

					</div>
				</article>
			</div>
			<?php endwhile;
			wp_reset_postdata(); ?>

		</div>
	</div>

<?php else : ?>

<p><?php esc_attr_e('No more posts.', 'orb' ); ?></p>

<?php endif; ?>



