<?php
if ( !defined( 'ABSPATH' ) )
exit;

$exp_data = !empty($settings['exp_list']) ? $settings['exp_list'] : false;
$light_theme = $settings['light_theme'] == 'yes' ? 'light' : '';

if ( $exp_data ) { ?>
	<ul class="exp-list list-unstyled <?php echo esc_attr($light_theme); ?>">
		<?php foreach ($exp_data as $key => $value) { ?>
		<li class="exp-item">
			<div class="row gt0">
				<div class="col year-info">
					<h4 class="content-title"><?php echo ckav_esc( $value['year'] ); ?></h4>
				</div>
				<div class="col exp-info">
					<?php if ( !empty($value['label']) || !empty($value['title']) || !empty($value['subtitle']) ) { ?>
					<div class="exp-title">
						<?php if ( !empty($value['label']) ) { ?>
						<span class="pop-label"><?php echo ckav_esc( $value['label'] ); ?></span>
						<?php } ?>

						<?php if ( !empty($value['title']) ) { ?>
						<h2 class="content-title txt-upper"><?php echo ckav_esc( $value['title'] ); ?></h2>
						<?php } ?>
						
						<?php if ( !empty($value['subtitle']) ) { ?>
						<b class="sep"></b>
						<p><?php echo ckav_esc( $value['subtitle'] ); ?></p>
						<?php } ?>
					</div>
					<?php } ?>

					<?php if ( !empty($value['desc']) ) { ?>
					<div class="description">
						<?php echo ckav_esc( $value['desc'] ); ?>
					</div>
					<?php } ?>
				</div>
			</div>
		</li>
		<?php } ?>
	</ul>
<?php } ?>
