<?php
if ( !defined( 'ABSPATH' ) )
exit;

$testimonials = !empty($settings['testimonial_list']) ? $settings['testimonial_list'] : false;
$item_count = sizeof($testimonials);
$light_theme = $settings['light_theme'] == 'yes' ? 'light' : '';
$light_ctrl = $settings['light_theme'] == 'yes' ? 'ctrl-light' : '';

if ( $testimonials) {

	if ( $item_count > 1 ) { ?>

	<div class="carousel-widget ctrl-1 <?php echo esc_attr($light_ctrl); ?>" 
		data-items="1"
		data-nav="false"
		data-itemrange="false"
		data-loop="false"
		data-pager="true">
		<div class="owl-carousel">

			<?php foreach ($testimonials as $key => $testimonial) { 
				$p_img = !empty($testimonial['person_image']['url']) ? $testimonial['person_image']['url'] : NOIMG;
			?>
			<div class="item">
				<div class="testimonial-wrp <?php echo esc_attr($light_theme); ?>">
					<div class="row align-items-center gt0">
						<div class="col-auto">
							<span class="sq100 iconbox img bg-cc bg-cover" style="background-image: url(<?php echo esc_url($p_img); ?>);"></span>
						</div>
						<div class="col title-info">
							<h3 class="content-title"><?php echo esc_html($testimonial['title']); ?></h3>
							<p class="italic"><?php echo esc_html($testimonial['subtitle']); ?></p>
						</div>
					</div>
					<div class="desc sub-title">
						<?php echo ckav_esc( $testimonial['desc'] ); ?>
					</div>
				</div>
			</div>
			<?php } ?>

		</div>
	</div>

	<?php } else { ?>

		<?php foreach ($testimonials as $key => $testimonial) { 
			$p_img = !empty($testimonial['person_image']['url']) ? $testimonial['person_image']['url'] : NOIMG;
		?>
		<div class="item">
			<div class="testimonial-wrp">
				<div class="row align-items-center gt0">
					<div class="col-auto">
						<span class="sq100 iconbox img bg-cc bg-cover" style="background-image: url(<?php echo esc_url($p_img); ?>);"></span>
					</div>
					<div class="col title-info">
						<h3 class="content-title"><?php echo esc_html($testimonial['title']); ?></h3>
						<p class="italic"><?php echo esc_html($testimonial['subtitle']); ?></p>
					</div>
				</div>
				<div class="desc sub-title">
					<?php echo ckav_esc( $testimonial['desc'] ); ?>
				</div>
			</div>
		</div>
		<?php } ?>
		
	<?php } ?>
<?php } ?>
