<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) )
	exit;

class CKav_Testimonials extends Widget_Base {

	public function get_name() { 
		return 'ckav-testimonials';
	}

	public function get_title() {
		return esc_html__( 'Testimonials', 'orb' );
	}
 
	public function get_icon() {
		return 'eicon-testimonial';
	}

	public function get_categories() {
		return [ 'ckav-pack' ];
	}

	protected function _register_controls() {

		/*
		* Content section 
		*************************/
		$this->start_controls_section(
			'section_tab', [
				'label' =>esc_html__( 'Content section', 'orb' ),
			]
		);
			
            $this->add_control(
                'testimonial_list',
                [
                    'label' => '',
                    'type' => Controls_Manager::REPEATER,
                    'default' => [
                        [
                            'title' => esc_html__( 'SALLIE MALONE', 'orb' ),
                        ],
                    ],
                    'fields' => [
                        [
                            'name' => 'person_image',
                            'type' => Controls_Manager::MEDIA,
                            'label' => esc_html__('Image', 'orb'),
                            'label_block' => true,
                        ],
                        [
                            'name' => 'title',
                            'type' => Controls_Manager::TEXT,
                            'label' => esc_html__('Title', 'orb'),
                            'default'   =>  esc_html__('SALLIE MALONE', 'orb'),
                            'label_block' => true,
                        ],
                        [
                            'name' => 'subtitle',
                            'type' => Controls_Manager::TEXT,
                            'label' => esc_html__('Sub title', 'orb'),
                            'default'   =>  esc_html__('Art Director','orb'),
                            'label_block' => true,
                        ],
                        [
                            'name' => 'desc',
                            'label'			 => esc_html__( 'Description', 'orb' ),
                            'type'			 => Controls_Manager::TEXTAREA,
                            'label_block'	 => true,
                            'placeholder'	 => esc_html__( 'Description text', 'orb' ),
                            'default'		 => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. ',
                        ],
                    ],
                    'title_field' => '{{{ title }}}',
                ]
            );

        $this->end_controls_section();


        /*
		* Settings
		*************************/
		$this->start_controls_section(
			'setting_tab', [
				'label' =>esc_html__( 'Settings', 'orb' ),
			]
		);

			$this->add_control(
				'light_theme', [
					'type' => Controls_Manager::SWITCHER,
					'label' => esc_html__('Apply light theme?', 'orb'),
					'label_block' => false,
					'default' => 'no',
					'yes' => esc_html__( 'Yes', 'orb' ),
					'no' => esc_html__( 'No', 'orb' ), 
				]
			);

		$this->end_controls_section();

	}

	protected function render() {
		
		$settings = $this->get_settings_for_display();
		
		require THEME_ELE . '/templates/testimonials/style1.php';
	}

	protected function _content_template() { }
}
