<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

$theme_colors = array(
	'default' => '#3b5afb',
	'primary' => '#ff6123',
	'dark' => '#343e45',
	'light' => '#f7f9fb',
	'basefontcolor' => '#666',
);

$theme_default = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-default') !== '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-default') : $theme_colors['default'];
$theme_primary = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-primary') !== '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-primary') : $theme_colors['primary'];
$theme_dark = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-dark') !== '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-dark') : $theme_colors['dark'];
$theme_light = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-light') !== '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-light') : $theme_colors['light'];
$theme_basefontcolor = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-basefontcolor') !== '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-basefontcolor') : $theme_colors['basefontcolor'];
$theme_white = ckav_theme_option( 'customizer', 'popup-theme-colors/theme-white') != '' ? ckav_theme_option( 'customizer', 'popup-theme-colors/theme-white') : '#fff';


echo 'body {
  '.ckav_font_style( ckav_theme_option( "customizer", "body-fonts") ).'
  color: '.$theme_basefontcolor.';
}

/* Background colors
/******************************/
.default-bg {
  background-color: '.$theme_default.';
}
.primary-bg {
  background-color: '.$theme_primary.';
}
.dark-bg {
  background-color: '.$theme_dark.';
}
.light-bg {
  background-color: '.$theme_light.';
}
.white-bg {
  background-color: '.$theme_white.';
}
/* Typography
/******************************/
h1 { font-size: '. ckav_theme_option( "customizer", "h1-size") .'px; }
h2 { font-size: '. ckav_theme_option( "customizer", "h2-size") .'px; }
h3 { font-size: '. ckav_theme_option( "customizer", "h3-size") .'px; }
h4 { font-size: '. ckav_theme_option( "customizer", "h4-size") .'px; }
h5 { font-size: '. ckav_theme_option( "customizer", "h5-size") .'px; }
h6 { font-size: '. ckav_theme_option( "customizer", "h6-size") .'px; }

h1,
h2,
h3,
h4,
h5,
h6,
.page-title,
.section-title,
.content-title,
.ckav-postbox1 .post-date .dd,
.filter-wrp .filter-btn {
  '.ckav_font_style( ckav_theme_option( "customizer", "title-fonts") ).'
}
h1:not(.txt-upper),
h2:not(.txt-upper),
h3:not(.txt-upper),
h4:not(.txt-upper),
h5:not(.txt-upper),
h6:not(.txt-upper),
.page-title:not(.txt-upper),
.section-title:not(.txt-upper),
.content-title:not(.txt-upper),
.ckav-postbox1 .post-date .dd:not(.txt-upper),
.filter-wrp .filter-btn:not(.txt-upper) {
  text-transform: none;
}

.typo-light h1,
.typo-light h2,
.typo-light h3,
.typo-light h4,
.typo-light h5,
.typo-light h6,
.typo-light p {
  color: '.$theme_white.';
}
.list-1 li::before {
  border-color: '.$theme_default.';
}

.page-title {
	font-size: '. ckav_theme_option( "customizer", "page-title-size") .'px;
}
.section-title {
	font-size: '. ckav_theme_option( "customizer", "section-title-size") .'px;
}
.section-title:after {
  background-color: '.$theme_primary.';
}
.content-title,
.filter-wrp .filter-btn {
	font-size: '. ckav_theme_option( "customizer", "content-title-size") .'px;
}

.sub-title {
	'.ckav_font_style( ckav_theme_option( "customizer", "subtitle-fonts") ).'
	font-size: '. ckav_theme_option( "customizer", "sub-title-size") .'px;
}

/* Pop label
/******************************/
.pop-label {
  background-color: '.$theme_primary.';
  color: '.$theme_white.';
}
.pop-label::after {
  border-top: 6px solid '.$theme_primary.';
}


/* Buttons
/******************************/
.paging-navigation .pagination .page-numbers,
.ckav-btn {
	'.ckav_font_style( ckav_theme_option( "customizer", "btn-fonts") ).'
}
/*== Default button ===============*/
.default-btn {
  background-color: '.$theme_default.';
  border-color: '.$theme_default.';
  color: '.$theme_white.';
}
.default-btn:hover,
.default-btn:focus,
.default-btn:active,
.default-btn.active {
  background-color: '.$theme_dark.';
  border-color: '.$theme_dark.';
  color: '.$theme_white.';
}
/*== Primary button ===============*/
.primary-btn {
  background-color: '.$theme_primary.';
  border-color: '.$theme_primary.';
  color: '.$theme_white.';
}
.primary-btn:hover,
.primary-btn:focus,
.primary-btn:active,
.primary-btn.active {
  background-color: '.$theme_dark.';
  border-color: '.$theme_dark.';
  color: '.$theme_white.';
}
/*== Dark button ===============*/
.dark-btn {
  background-color: '.$theme_dark.';
  border-color: '.$theme_dark.';
  color: '.$theme_white.';
}
.dark-btn:hover,
.dark-btn:focus,
.dark-btn:active,
.dark-btn.active {
  background-color: '.$theme_primary.';
  border-color: '.$theme_primary.';
  color: '.$theme_white.';
}
/*== Dark button ===============*/
.white-btn {
  background-color: '.$theme_white.';
  border-color: '.$theme_white.';
  color: '.$theme_dark.';
}
.white-btn:hover,
.white-btn:focus,
.white-btn:active,
.white-btn.active {
  background-color: '.$theme_dark.';
  border-color: '.$theme_dark.';
  color: '.$theme_white.';
}
.glass.white-btn {
  background-color: transparent;
  border-color: transparent;
}
.white-btn:hover,
.white-btn:focus,
.white-btn:active,
.white-btn.active {
  background-color: '.$theme_dark.';
  border-color: '.$theme_dark.';
  color: '.$theme_white.';
}
.tag-btn {
  border-color: rgba(0, 0, 0, 0.2);
}
.tag-btn:hover {
  background-color: '.$theme_dark.';
  color: '.$theme_white.';
}
.tag-btn.light {
  border-color: rgba(255, 255, 255, 0.2);
  color: '.$theme_white.';
}
.tag-btn.light:hover {
  background-color: '.$theme_white.';
  color: '.$theme_dark.';
}

/*
 * Header
 ********************************/
.main-header {
  background-color: '.$theme_default.';
}
.page-header {
	background-color: '.$theme_light.';
}
.main-header .logo-wrp {
  background-color: '.ckav_theme_option( "customizer", "logo-wrp-bg").';
}
';

if (ckav_theme_option( "customizer", "theme-header-bg") != '') {
  echo '.main-header {
    background-color: '.ckav_theme_option( "customizer", "theme-header-bg").';
  }';
}


echo '/*
 * Header search
 ********************************/
.header-search {
  background-color: '.$theme_dark.';
}
.header-search .search-frm button {
  background-color: transparent;
  color: '.$theme_white.';
}
.header-search .search-frm button:hover {
  background-color: '.$theme_default.';
}
.header-search .search-frm input {
  background-color: transparent;
  color: '.$theme_white.';
}

/* Main menu
/******************************/
.main-menu {
  background-color: '.$theme_dark.';
}
.ckav-menu .menu-item.active:hover > a,
.ckav-menu .menu-item > a:hover {
  background-color: '.$theme_primary.';
}
.ckav-menu .menu-item > .sub {
  background-color: '.$theme_dark.';
  border-top: 2px solid '.$theme_default.';
}
.ckav-menu .has-dropdown > .dropdown {
  background-color: '.$theme_dark.';
  border-top: 2px solid '.$theme_default.';
}';

if (ckav_theme_option( "customizer", "theme-menu-colors/status") === 'yes') {
  echo '.main-menu {
    background-color: '.ckav_theme_option( "customizer", "theme-menu-colors/menu-bg").';
  }
  .ckav-menu .menu-item > a {
    color: '.ckav_theme_option( "customizer", "theme-menu-colors/menu-item").';
  }
  .ckav-menu .menu-item.active:hover > a,
  .ckav-menu .menu-item > a:hover {
    background-color: '.ckav_theme_option( "customizer", "theme-menu-colors/menu-itembg-hover").';
    color: '.ckav_theme_option( "customizer", "theme-menu-colors/menu-item-hover").';
  }
  .ckav-menu .menu-item > .sub,
  .ckav-menu .has-dropdown > .dropdown {
    background-color: '.ckav_theme_option( "customizer", "theme-menu-colors/submenu-bg").';
    color: '.ckav_theme_option( "customizer", "theme-menu-colors/submenu-item").';
  }';
}

echo '/*
 * Side sticky bar
 ********************************/
.side-header {
  background-color: '.$theme_default.';
  color: '.$theme_white.';
}
.sticky-sidebar {
  background-color: '.$theme_white.';
}

/* All icon links 
/******************************/
.menu-handle {
  background-color: '.$theme_dark.';
}
.menu-handle:hover {
  background-color: '.$theme_primary.';
}
.widget-handle,
.search-handle {
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}
.widget-handle:hover,
.search-handle:hover {
  background-color: '.$theme_dark.';
}
.menu-handle.on,
.widget-handle.on,
.search-handle.on {
  background-color: '.$theme_primary.';
}

.main-header .profile-info-wrp,
.main-header .about-info-wrp,
.side-header {
	color: '.ckav_theme_option( "customizer", "theme-header-typo").';
}

/*.menu-handle, 
.search-handle, 
.widget-handle,
.main-header .profile-info,
.main-header,
.side-header {
	color: '.ckav_theme_option( "customizer", "theme-header-typo").';
}*/';

if (ckav_theme_option( "customizer", "theme-sidebar-bg") != '') {
  echo '.side-header {
    background-color: '.ckav_theme_option( "customizer", "theme-sidebar-bg").';
  }';
}

if (ckav_theme_option( "customizer", "theme-headerbtn-colors/status") === 'yes') {
echo '.menu-handle {
	background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-normal-bg").';
	color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-normal-icon").';
  }
  .menu-handle:hover {
	background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-hover-bg").';
	color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-hover-icon").';
  }
  .menu-handle.on {
	background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-active-bg").';
	color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/menu-active-icon").';
  }

  .widget-handle,
  .search-handle {
    background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/normal-bg").';
	color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/normal-icon").';
	border-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/border").';
  }
  .widget-handle:hover,
  .search-handle:hover {
    background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/hover-bg").';
    color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/hover-icon").';
  }
  .widget-handle.on,
  .search-handle.on {
    background-color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/active-bg").';
    color: '.ckav_theme_option( "customizer", "theme-headerbtn-colors/active-icon").';
  }' ; 
}

echo '/* General widget area
**********************************/
.widget {
  color: #666;
}
/* Category and archive widgets
**********************************/
.widget_nav_menu ul > li,
.widget_categories ul > li,
.widget_archive ul > li,
.widget_meta ul > li,
.widget_pages ul > li,
.widget_recent_entries ul > li,
.widget_recent_comments ul > li,
.widget_rss ul > li {
  color: '.$theme_dark.';
}
.widget_nav_menu ul > li:before,
.widget_categories ul > li:before,
.widget_archive ul > li:before,
.widget_meta ul > li:before,
.widget_pages ul > li:before,
.widget_recent_entries ul > li:before,
.widget_recent_comments ul > li:before,
.widget_rss ul > li:before {
  border-color: '.$theme_default.';
}
/* Progress bars
/******************************/
.progress-wrp .progress {
  background-color: rgba(0, 0, 0, 0.08);
}
.progress-wrp .progress-bar {
  background-color: '.$theme_default.';
}
.progress-wrp .percentage {
  background-color: '.$theme_dark.';
  color: '.$theme_white.';
}
.progress-wrp .percentage i {
  color: '.$theme_dark.';
}
/* Education list
/******************************/
.edu-list .label {
  background-color: '.$theme_dark.';
  color: '.$theme_white.';
  border-color: '.$theme_dark.';
}
.edu-list .label::after {
  background-color: '.$theme_primary.';
}
.edu-list .label::before {
  border-right: 12px solid '.$theme_dark.';
}
/* Experience list
/******************************/
.exp-list .exp-title .sep {
  border-bottom: 1px solid '.$theme_default.';
}
/* Price packages
/******************************/
.price-pack .iconbox {
  color: '.$theme_primary.';
}
.price-pack.popular {
  border-color: '.$theme_default.';
  box-shadow: inset 0 0 0 2px '.$theme_default.';
}
.price-pack.popular p {
  /* color: '.$theme_white.'; */
}
.price-pack.popular .features li::before {
  /* border-color: '.$theme_white.'; */
}
/* Post single
/******************************/
.single-post-header {
  background-color: '.$theme_dark.';
}
.single-post-header .post-pager {
  color: '.$theme_white.';
}
/* Blog post box
/******************************/
.ckav-postbox1 .post-date {
  color: '.$theme_dark.';
}

.ckav-postbox2 {
  background-color: '.$theme_white.';
}
.ckav-postbox3 .entry-date-wrp {
  background-color: '.$theme_default.';
  font-family: "Montserrat", sans-serif;
}
.ckav-postbox3 .info .post-author:after {
  border-color: '.$theme_default.';
}';

if (ckav_theme_option( "customizer", "blogtitle-upper") === "yes") {
  echo '.ckav-postbox1 .content-title,
  .ckav-postbox2 .content-title,
  .ckav-postbox3 .info .content-title {
    text-transform: uppercase;
  }';
} else {
  echo '.ckav-postbox1 .content-title,
  .ckav-postbox2 .content-title,
  .ckav-postbox3 .info .content-title {
    text-transform: none;
  }';
}


echo '/*== Post meta style ===============*/
.ckav-post-meta [class*="col-"]:after {
  border-color: '.$theme_default.';
}
/* Pagination
/******************************/
.paging-navigation .pagination .page-numbers:hover {
  background-color: '.$theme_primary.';
  color: '.$theme_white.';
}
.paging-navigation .pagination .page-numbers.current {
  background-color: '.$theme_dark.';
  color: '.$theme_white.';
}
/* Wordpress post links
/******************************/
.post-nav-links .post-page-numbers.current {
  background-color: '.$theme_primary.';
  color: '.$theme_white.';
}
/* Portfolio
/******************************/
.filter-wrp .filter-btn.active,
.filter-wrp .filter-btn.active::before {
  border-color: '.$theme_default.';
}';