<?php get_header(); ?>

<?php if ( have_posts() ) : while(have_posts()) : the_post(); ?>

	<!-- Main header
	******************************-->
	<header class="section typo-light single-post-header portfolio-single">
		<div class="portfolio-info">
			<div class="container">

				<div class="row">
					<div class="col-md">
						<?php if( get_the_terms( get_the_ID(), 'portfolio_cat' ) && count( get_the_terms( get_the_ID(), 'portfolio_cat' ) ) > 0 ) : ?>
						<div class="post-tags">
							<?php foreach( get_the_terms( get_the_ID(), 'portfolio_cat' ) as $term ) :
							$term_link = get_term_link( $term->term_id ); ?>
							<a href="<?php echo esc_url( $term_link ); ?>" class="ckav-btn tag-btn light">
								<?php echo esc_attr( $term->name ); ?>
							</a>
							<?php endforeach; ?>
							
						</div>
						<?php endif; ?>
						
						<h1 class="page-title"><?php echo get_the_title(); ?></h1>

						<?php if( is_singular( 'portfolio' ) && !empty(ckav_theme_option('post', 'year')) || !empty(ckav_theme_option('post', 'client'))  || !empty(ckav_theme_option('post', 'url'))) : ?>
						<ul class="row ckav-post-meta gt0">
							<?php if ( !empty(ckav_theme_option('post', 'year')) ) { ?>
							<li class="col-auto"><?php echo esc_html__('Year: ', 'orb') . ckav_theme_option('post', 'year'); ?></li>
							<?php } ?>

							<?php if ( !empty(ckav_theme_option('post', 'client')) ) { ?>
							<li class="col-auto"><?php echo esc_html__('Client: ', 'orb') . ckav_theme_option('post', 'client'); ?></li>
							<?php } ?>

							<?php if ( !empty(ckav_theme_option('post', 'url')) ) { ?>
								<li class="col-auto"><?php echo esc_html__('URL: ', 'orb') . ckav_theme_option('post', 'url'); ?></li>
							<?php } ?>
						</ul>
						<?php endif; ?>

					</div>

					<div class="col-md-auto flex-bc">
						<?php 
							$prev_post = get_previous_post();
							$next_post = get_next_post();
							
							$page_nav = '<div class="post-pager flex-cc">';

							if( isset($prev_post->ID) && get_permalink($prev_post->ID) ) :
								$page_nav.= '<a class="iconbox sq40 fs20" href="'.esc_url( get_permalink($prev_post->ID) ).'"><i class="icon-arrow-left"></i></a>';
							else :
								$page_nav.= '<a class="iconbox sq40 fs20" href="#"><i class="icon-arrow-left"></i></a>';
							endif;

							$page_nav.= '<span>' . ckav_post_counting( 'portfolio' ) . '</span>';

							if( isset($next_post->ID) && get_permalink($next_post->ID) ) :
								$page_nav.= '<a class="iconbox sq40 fs20" href="'.esc_url( get_permalink($next_post->ID) ).'"><i class="icon-arrow-right"></i></a>';
							else :
								$page_nav.= '<a class="iconbox sq40 fs20" href="#"><i class="icon-arrow-right"></i></a>';
							endif;

							$page_nav.= '</div>';
							echo wp_kses_post( $page_nav );
						?>
					</div>

				</div>

			</div>
		</div>

		<div class="full-wh bg-cc bg-cover" data-bg="<?php echo get_the_post_thumbnail_url(); ?>">
			<b class="full-wh z1" style="background: linear-gradient(to bottom, rgba(0,0,0,0.1) 50%, rgba(0,0,0,0.8) 100%);"></b>
		</div>
	</header>


	<!-- Article
	******************************-->
	<?php if ( ckav_theme_option('post', 'layout_fullw') === 'yes' ) { ?>
	<?php the_content(); ?>
	<?php } else { ?>
	<section class="section single-post-content">
		<div class="container">
			<article id="post-<?php the_ID(); ?>" <?php post_class( 'single-post-article' ); ?>>
				<?php 
					the_content(); 
					ckav_pagelinks();
				?>
			</article>
		</div>
	</section>
	<?php } ?>


	
<?php 
endwhile;

endif;

get_footer();

